/******************************************************************************
*                         Steffen Hofmann                                     *
*                             shotech                                         *
*******************************************************************************
*  $Source: ,v $
*-----------------------------------------------------------------------------*
*  Datum der 1. Version  :  10.11.2018 12:03:15
*  Geraete Bezeichnung   :  UB88xx TB4 
*-----------------------------------------------------------------------------*
*- $Id:  ub88xx@shotech.de
*-----------------------------------------------------------------------------*
*
*	source file
*	----------
*	ADC
* UB8820 oder UB8840
*
******************************************************************************/


#include "adc.h"


u8 AdcReadData( u8 bChannel )
{
    u8 bAdcData;
    
	  //- Aktuelle Betriebsspannung lesen
	  //- ADC Kanal einstellen
	  ADC_CONFIG = bChannel;
	  //- ADC ALE High, ADC Kanal aktiv lassen
	  ADC_CONFIG = (bChannel | ADC_CONFIG_ADC_ALE);
	  //- ADC START High, ADC Kanal aktiv lassen
	  ADC_CONFIG = (bChannel | ADC_CONFIG_ADC_START);
	  //- ADC ALE und START Low, ADC Kanal aktiv lassen
	  ADC_CONFIG = bChannel;
    
	  //- Wait 100s
    while( (P3 & PORT_P3_P33_EOC) == 1 );
    while( (P3 & PORT_P3_P33_EOC) == 0 );
    
    //- ADC OUT Hig, ADC Kanal aktiv lassen
    ADC_CONFIG = ADC_CONFIG_ADC_OUT | bChannel;
    //- ADC Daten lesen
    bAdcData = ADC_IN;
    //- ADC default alles Low
    ADC_CONFIG = 0;	
	  
	  return bAdcData;
}