/******************************************************************************
*                         Steffen Hofmann                                     *
*                             shotech                                         *
*******************************************************************************
*  $Source: ,v $
*-----------------------------------------------------------------------------*
*  Datum der 1. Version  :  17.09.2017 13:53:08
*  Geraete Bezeichnung   :  UB88xx TB4 
*-----------------------------------------------------------------------------*
*- $Id:  ub88xx@shotech.de
*-----------------------------------------------------------------------------*
*
*	sourcefile
*	----------
*	timer 1
* UB8820 oder UB8840
*
******************************************************************************/

#include "timer.h"


static unsigned char	delay;	

void init_timer1( void )
{
	delay = 150;        //- 1,5 sec.
	T1 = T1_BLINK;			/* Initialize T1 value for blinking.	*/
	PRE1 = PRE1_BLINK;	/* Initialize PRE1 value and modulo n 	*/
	IMR |= IMR_IRQ_TIM1;			//- Enable IRQ5	Timer 1
	//TMR = 0xc;			    /* Load T1 and Start counting		*/	

}
//-----------------------------------------------------------------------------
//- wait 10ms * bTo
//-----------------------------------------------------------------------------
void _Wait( u8 bTo )
{
	
	delay = bTo;
	TIMER1_START();
	
	while( delay > 1);

}
/***********************************************************
 * Interrupt routine for timer 1.
 ***********************************************************/
interrupt void Timer1(void)
{
	delay--;
	
	if( delay < 1 )
		{
       TIMER1_STOP();
		}
	
}
