@echo **********************************
@echo	Compile Testboard UB88xx TB4
@echo	       Small Memory
@echo     shotech S.Hofmann
@echo      info@shotech.de
@echo **********************************

@echo off
SET PATH=%PATH%;E:\Z8_Projekte\Z8\bin;E:\Z8_Projekte\Z8\Include;E:\Z8_Projekte\Z8\RTL;E:\Z8_Projekte\UB88xx-TB4-Software\debug;E:\Z8_Projekte\UB88xx-TB4-Software\src

del *.obj
del *.lod
del *.lst
del *.map
del *.src
del *.bak


copy E:\Z8_Projekte\UB88xx-TB4-Software\system\config_ub88xx.inc   E:\Z8_Projekte\UB88xx-TB4-Software\debug
copy E:\Z8_Projekte\UB88xx-TB4-Software\system\startup_ub88xx_s.asm   E:\Z8_Projekte\UB88xx-TB4-Software\debug
copy E:\Z8_Projekte\UB88xx-TB4-Software\system\copy_irq_tab.asm E:\Z8_Projekte\UB88xx-TB4-Software\debug
copy E:\Z8_Projekte\UB88xx-TB4-Software\system\test_and_jump.asm E:\Z8_Projekte\UB88xx-TB4-Software\debug
copy E:\Z8_Projekte\UB88xx-TB4-Software\src\main.c  E:\Z8_Projekte\UB88xx-TB4-Software\debug
copy E:\Z8_Projekte\UB88xx-TB4-Software\src\uart.c  E:\Z8_Projekte\UB88xx-TB4-Software\debug
copy E:\Z8_Projekte\UB88xx-TB4-Software\src\timer.c  E:\Z8_Projekte\UB88xx-TB4-Software\debug
copy E:\Z8_Projekte\UB88xx-TB4-Software\src\utils.c  E:\Z8_Projekte\UB88xx-TB4-Software\debug
REM copy E:\Z8_Projekte\UB88xx-TB4-Software\src\adc.c  E:\Z8_Projekte\UB88xx-TB4-Software\debug

z8asm -noig -quiet startup_ub88xx_s
IF not ERRORLEVEL 0 goto compend
z8cc main
IF not ERRORLEVEL 0 goto compend
z8cc uart
IF not ERRORLEVEL 0 goto compend
z8cc timer
REM IF not ERRORLEVEL 0 goto compend
REM z8cc adc
IF not ERRORLEVEL 0 goto compend
z8cc utils
IF not ERRORLEVEL 0 goto compend
Z8link @ub88xx_tb.cmdlnk
IF not ERRORLEVEL 0 goto compend
goto end1

:compend
echo Compile not OK !
goto end_err

:end1
echo Compile and Link OK !

:end_err
del *.c
del *.inc
del *.asm


pause
@echo on